package com.qmth.themis.business.bean.admin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 在线巡考报表返回对象
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/22
 */
@ApiModel("在线巡考报表返回对象")
public class InvigilateListPatrolReportBean implements Serializable {

    @ApiModelProperty(name = "虚拟考场代码")
    private String roomCode;

    @ApiModelProperty(name = "虚拟考场名称")
    private String roomName;

    @ApiModelProperty(name = "预警量")
    private Integer warningCount;

    @ApiModelProperty(name = "通讯故障数")
    private Integer clientWebsocketStatusCount;

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public Integer getWarningCount() {
        return warningCount;
    }

    public void setWarningCount(Integer warningCount) {
        this.warningCount = warningCount;
    }

    public Integer getClientWebsocketStatusCount() {
        return clientWebsocketStatusCount;
    }

    public void setClientWebsocketStatusCount(Integer clientWebsocketStatusCount) {
        this.clientWebsocketStatusCount = clientWebsocketStatusCount;
    }
}
